/*package es.verdnatura.presentation.view.feature.parking.adapter

import android.view.LayoutInflater
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import es.verdnatura.databinding.ItemBarcodeRowBinding
import es.verdnatura.presentation.common.OnBarcodeRowClickListener
import es.verdnatura.presentation.view.feature.articulo.model.BarcodeVO
/*

class ParkingAdapter  (
    private val items: List<BarcodeVO>,
    private val onBarcodeRowClickListener: OnBarcodeRowClickListener
): RecyclerView.Adapter<ParkingAdapter.ItemHolder> () {


    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): ItemHolder {
        return ItemHolder(
            ItemBarcodeRowBinding.inflate(LayoutInflater.from(parent.context),parent,false)
        )
    }

    override fun getItemCount() =items.size

    override fun onBindViewHolder(holder: ItemHolder, position: Int) {
        holder.bind(items[position])
        holder.binding.root.setOnClickListener {
            onBarcodeRowClickListener.onBarcodeRowClickListener(items[position])
        }
    }


    inner class ItemHolder(
        val binding: ItemBarcodeRowBinding
    ) : RecyclerView.ViewHolder(binding.root){
        fun bind(item: BarcodeVO) {
            binding.apply {
                this.item = item
            }
        }
    }
}
*/